php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #10778 ext/pdf does not work with pdflib 4.0
Submitted: 2001-05-10 03:36 UTC Modified: 2001-05-28 07:19 UTC
From: d dot begley at uws dot edu dot au Assigned:
Status: Closed Package: PDF related
PHP Version: 4.0.5 OS: Solaris 7
Private report: No CVE-ID: None
 [2001-05-10 03:36 UTC] d dot begley at uws dot edu dot au
ext/pdf is written to detect and work with pdflib 3.x;
unfortunately it is pdflib 4.x that is available for
download from the pdflib Web site - leading to PHP failing
to compile/link with pdflib.

The fix is simple enough (it'd be nice if this was to be
incorporated directly into PHP "as standard" for those
systems whereby installing autoconf isn't really necessary);
simply replace the ext/pdf contents of PHP with that supplied
by pdflib 4.0, then rebuild configure.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-05-18 06:54 UTC] sniper@php.net
PHP 4.0.5 supports pdflib 4.0 just fine.

--Jani

 [2001-05-24 09:12 UTC] d dot begley at uws dot edu dot au
Sorry, but this is not true.  Standard "configure" shipped
with PHP 4.0.5 when detecting PDFlib assumes (incorrectly
for PDFlib 4.x) a separate libtiff, libjpeg, libpng and
libz.  PDFlib 4.x has these built-in.  See
ext/pdf/config.m4:

  LIBS="$LIBS -ltiff -ljpeg -lpng -lz"
  AC_CHECK_LIB(pdf, PDF_show_boxed, [

This fails unnecessarily on systems without separate tiff,
jpeg, png and z libs (none of which are needed by PDFlib
4.x).  If you have separate libs, the problem will be hidden
from you.

As previously noted, using the replacement files from PDFlib
gets around this problem (by removing the incorrect library
dependency assumption).  It'd be really useful if PHP
4.0.6's PDFlib support was upgraded to support PDFlib 4.x
"out of the box".

Thanks..

 [2001-05-27 15:04 UTC] sniper@php.net
I was wrong. 4.0.5 was released the same time the pdflib4 was in beta..so some changes didn't make it to PHP release.

But they are in 4.0.6, please try this:

http://www.php.net/~andi/php-4.0.6RC1.tar.gz

--Jani

 [2001-05-28 07:19 UTC] d dot begley at uws dot edu dot au
4.0.6RC1 tested - same problem.  RC2 perhaps (when released)?
;-)

Thanks..

 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sun Jan 26 14:01:24 2020 UTC